# Class BattleFinishedEvent

java.lang.Object
robocode.control.events.BattleEvent
robocode.control.events.BattleFinishedEvent

public class BattleFinishedEvent extends BattleEvent
A BattleFinishedEvent is sent to `onBattleFinished()` when the battle is finished. This event is always sent as the last battle event, both when the battle is completed successfully, terminated due to an error, or aborted by the user. Hence, this events is well-suited for cleanup after the battle.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  - `IBattleListener`
  - `BattleStartedEvent`
  - `BattleCompletedEvent`

## Constructor Summary

Constructors
Constructor
Description
`BattleFinishedEvent(boolean isAborted)`
Called by the game to create a new BattleFinishedEvent.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAborted()`
Checks if the battle was aborted.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BattleFinishedEvent

public BattleFinishedEvent(boolean isAborted)
Called by the game to create a new BattleFinishedEvent. Please don't use this constructor as it might change.

Parameters:
  `isAborted` - a flag specifying if the battle was aborted: `true` if the battle was aborted; `false` otherwise.

## Method Details

### isAborted

public boolean isAborted()
Checks if the battle was aborted.

Returns:
  `true` if the battle was aborted; `false` otherwise.